components:
  schemas:
    ManagerAccount_AccountTypes:
      enum:
      - Redfish
      - SNMP
      - OEM
      - HostConsole
      - ManagerConsole
      - IPMI
      - KVMIP
      - VirtualMedia
      - WebUI
      type: string
      x-enumDescriptions:
        HostConsole: Allow access to the host's console, which could be connected
          through Telnet, SSH, or another protocol.
        IPMI: Allow access to the Intelligent Platform Management Interface service.
        KVMIP: Allow access to a Keyboard-Video-Mouse over IP session.
        ManagerConsole: Allow access to the manager's console, which could be connected
          through Telnet, SSH, SM CLP, or another protocol.
        OEM: OEM account type.  See the OEMAccountTypes property.
        Redfish: Allow access to the Redfish service.
        SNMP: Allow access to SNMP services.
        VirtualMedia: Allow access to control virtual media.
        WebUI: Allow access to a web user interface session, such as a graphical interface
          or another web-based protocol.
      x-enumLongDescriptions:
        HostConsole: This value shall indicate the account is allowed to access the
          host console.
        IPMI: This value shall indicate the account is allowed to access the Intelligent
          Platform Management Interface service.
        KVMIP: This value shall indicate the account is allowed to access the Keyboard-Video-Mouse
          over IP session service.
        ManagerConsole: This value shall indicate the account is allowed to access
          the manager console.
        OEM: This value shall indicate the account is allowed to access the services
          listed in the OEMAccountTypes property.
        Redfish: This value shall indicate the account is allowed to access Redfish
          services.  If the version of the ManagerAccount resource is lower than the
          schema version when another enumeration value in this list was added, the
          implementation may include that functionality as part of the `Redfish` value.
        SNMP: This value shall indicate the account is allowed to access SNMP services.
        VirtualMedia: This value shall indicate the account is allowed to control
          virtual media.
        WebUI: This value shall indicate the account is allowed to access the web
          interface.
      x-enumVersionAdded:
        HostConsole: v1_7_0
        IPMI: v1_7_0
        KVMIP: v1_7_0
        ManagerConsole: v1_7_0
        VirtualMedia: v1_7_0
        WebUI: v1_7_0
      x-versionAdded: v1_4_0
    ManagerAccount_ManagerAccount:
      $ref: http://redfish.dmtf.org/schemas/v1/ManagerAccount.v1_12_0.yaml#/components/schemas/ManagerAccount_v1_12_0_ManagerAccount
      description: The ManagerAccount schema defines the user accounts that are owned
        by a manager.  Changes to a manager account might affect the current Redfish
        service connection if this manager is responsible for the Redfish service.
      x-longDescription: This resource shall represent a user account for the manager
        in a Redfish implementation.  The account shall indicate the allowed access
        to one of more services in the manager.
title: '#ManagerAccount.ManagerAccount'
x-copyright: Copyright 2014-2023 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
